package org.cs.mgr.order.service;

import java.util.List;
import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.mgr.order.model.MgmOrderCommission;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

/**
 * 
 * @ClassName: 
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:03
 */
public interface IMgmOrderCommissionService extends IBaseService<MgmOrderCommission> {

	Pager getMgmOrderCommission(Pager page);

	boolean delMgmOrderCommission(Integer id);
	
	boolean addMgmOrderCommission(MgmOrderCommission mgmOrderCommission);
	
	boolean updateMgmOrderCommission(MgmOrderCommission mgmOrderCommission);
	
	 JSONObject getMgmOrderCommissionList(Map<String,String> map);
	 
	 List<Map<String,Object>> getMgmOrderCommissionList(String userId);
}
